#!/usr/bin/env bash
###
 # Tests for the "Text Manipulation Functions" section of the utils script.
 ##


setup() {
    mixed_case_var="ThisIsMixedCase"
}


@test "Text Function - to_upper" {
    # Import utils script.
    source ../utils.sh

    to_upper ${mixed_case_var}
    [[ "${return_value}" == "THISISMIXEDCASE" ]]
}


@test "Text Function - to_lower" {
    # Import utils script.
    source ../utils.sh

    to_lower ${mixed_case_var}
    [[ "${return_value}" == "thisismixedcase" ]]
}
